import 'package:flutter/material.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';


class UploadCsvHeader extends StatelessWidget {
  const UploadCsvHeader({
    super.key,
    required this.theme,
  });

  final ThemeData theme;
  static const double _iconTextSpacing = 5;

  @override
  Widget build(BuildContext context) {
    final l10n = AppLocalizations.of(context)!;
    return Row(
      children: [
        const Icon(Icons.upload),
        const SizedBox(width: _iconTextSpacing),
        Text(
          l10n.uploadCSV,
          style: theme.textTheme.bodyLarge?.copyWith(
            fontSize: 18,
            fontWeight: FontWeight.w600,
          ),
        ),
      ],
    );
  }
}
